summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAhmed Abdelhalim <[email protected]>2026-01-17 17:39:22 +0100
committerAhmed Abdelhalim <[email protected]>2026-01-17 17:40:03 +0100
commit1e2ee959ea38ef82ac06c9423d85ebf29cab7251 (patch)
tree989d0732c954a01201d0f2696240d23dfa7a1513
parent1aacb642be4fab0758d3356a0c7b5a8fac306fe1 (diff)
Create simple install script for simpler setup
-rw-r--r--.stow-local-ignore1
-rw-r--r--README.md13
-rwxr-xr-xinstall.sh14
3 files changed, 16 insertions, 12 deletions
diff --git a/.stow-local-ignore b/.stow-local-ignore
index 55f3975..696b0a8 100644
--- a/.stow-local-ignore
+++ b/.stow-local-ignore
@@ -4,3 +4,4 @@
^/Brewfile
.*.md
+install.sh
diff --git a/README.md b/README.md
index 025ed2d..fda5603 100644
--- a/README.md
+++ b/README.md
@@ -11,18 +11,7 @@
```bash
git clone https://git.sr.ht/~a14m/.rc ~/.rc
-
-rm -f ~/.bash_profile
-cd ~/.rc
-stow --no-folding --adopt .
-git restore .
-git remote set-url origin [email protected]:~a14m/.rc
-
-ln -sf ~/.rc/.gnupg/pinentry-wrapper ~/.local/bin/pinentry-wrapper
-envsubst < ~/.gnupg/gpg-agent.conf.template > ~/.gnupg/gpg-agent.conf
-chmod 0700 ~/.gnupg
-gpgconf --kill gpg-agent 2>/dev/null || true
-gpg-connect-agent /bye 2>/dev/null || true
+.rc/install.sh
```
Extra configurations for different distro families:
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..f19e94a
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -xeou pipefail
+
+rm -f ~/.bash_profile ~/.bashrc
+cd ~/.rc
+stow --no-folding --adopt .
+git restore .
+git remote set-url origin [email protected]:~a14m/.rc
+
+ln -sf ~/.rc/.gnupg/pinentry-wrapper ~/.local/bin/pinentry-wrapper
+envsubst < ~/.gnupg/gpg-agent.conf.template > ~/.gnupg/gpg-agent.conf
+chmod 0700 ~/.gnupg
+gpgconf --kill gpg-agent 2>/dev/null || true
+gpg-connect-agent /bye 2>/dev/null || true